1. Given no throws,when I get total score,then the score should be 0.  
2. Given 1 throws,when I get total score,then the score should be number of pins knocked down of this throw.  
3. Given 2 throws,when I get total score,then the score should be total number of pins knocked down.  
4. Given 10 frames without strike/spare ,when I get total score,then score should be sum of 0 frames.  
5. Given first frame is spare,when I get total score,then score should be 10 plus {spare bonus}.  
6. Given 10 frames with spare,without strike,and the last frame is not spare,when I get total score,then score should be plus spare bonus.  
7. Given 10 frames,and the last frame is spare,and there is not strike,when I get total score,then score should plus spare bonus of last frame.  
8. Given only first frame is strike,when I get total score,then score should be 10 plus strike bonus.  
9. Given 10 frames with strike,and the last is no strike,when I get total score,then score should plus strike bonus.  
10. Given 10 frames,and the last frame is strike,when I get total score,then score should plus strike bonus of last frame.  
11. Given a perfect game with 10 strikes,when I get total score,then total score should be 300.